%global qpid_version 0.10

Summary:        MRG management system agent
Name:           sesame
Version:        1.0
Release:        2%{?dist}
License:        GPL
Group:          System Environment/Libraries
URL:            http://svn.fedorahosted.org/svn/cumin/trunk/sesame/cpp/
Source0:        %{name}-%{version}.tar.gz
Patch0:         bz481770.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qpid-qmf-devel >= %{qpid_version}
BuildRequires:  db4-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  dbus-devel

Requires:       qpid-qmf >= %{qpid_version}
Requires:       /usr/bin/uuidgen
Requires:       dbus

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

%description
Sesame is the MRG management system agent.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{optflags} -DNDEBUG -O3"

./bootstrap
%configure
make # %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p -m0755 %{buildroot}
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -T -m 0755 etc/sysvinit-sesame %{buildroot}%{_sysconfdir}/rc.d/init.d/sesame
install -d %{buildroot}%{_localstatedir}/log/sesame
install -d %{buildroot}%{_localstatedir}/lib/sesame

%pre
getent group sesame > /dev/null || groupadd -r sesame
getent passwd sesame > /dev/null || useradd -r \
       -g sesame -d %{_localstatedir}/lib/sesame -s /sbin/nologin \
       -c "Owner of the sesame daemon" sesame
exit 0

%post
uuidgen > %{_localstatedir}/lib/sesame/uuid
chown sesame:sesame %{_localstatedir}/lib/sesame/uuid
/sbin/chkconfig --add sesame

%preun
if [ $1 = 0 ] ; then
    /sbin/service sesame stop >/dev/null 2>&1
    /sbin/chkconfig --del sesame
fi

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service sesame condrestart >/dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,sesame,sesame,-)
%doc README COPYING
%{_bindir}/sesame
%config(noreplace) %{_sysconfdir}/sesame/sesame.conf
%{_localstatedir}/log/sesame
%{_localstatedir}/lib/sesame
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/sesame

%changelog
* Mon Nov 28 2011 Trevor McKay <tmckay@redhat.com> - 1.0
- svn revision 5107, branch lucidity
- Change sesame.conf to noreplace
* Thu Nov 3 2011 Trevor McKay <tmckay@redhat.com> - 1.0
- svn revision 5107, branch lucidity
- Change Version tag to 1.0
- BZ750315
* Mon Oct 31 2011 Trevor McKay <tmckay@redhat.com> - 0.10-2
- Changed requires comparison for qpid-qmf* to >= from ==
- bumped release number to 2
* Wed Mar 23 2011 Justin Ross <jross@redhat.com> - 0.10-1
- Rebuilding for updated qmf libs
- Updated URL
* Wed Feb 23 2011 Nuno Santos <nsantos@redhat.com> - 0.9.4443-1
- Rebased to svn rev 4443
* Thu Feb  3 2011 Nuno Santos <nsantos@redhat.com> - 0.7.4297-6
- Rebuilding for updated qmf libs
* Tue Jan 18 2011 Nuno Santos <nsantos@redhat.com> - 0.7.4297-5
- BZ481770 - sesame's init script allows for starting multiple sesame daemons
* Wed Nov 17 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-4
- Rebuilding for updated qmf libs
* Wed Sep 22 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-2
- Rebuilding for updated qmf libs
* Thu Sep 16 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-1
- Rebased to svn rev 4297
* Thu Sep  2 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-7
- BZ621317: Sesame does not shutdown when uninstalled
* Tue Jul 27 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-6
- Rebuilding for updated qmf libs
* Fri Jul 16 2010 Mike Cressman <mcressman@redhat.com> - 0.7.3918-5
- Rebuilding with latest beta respin
* Wed Jun 16 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-3
- Rebuilding for updated qmf libs
* Thu Apr  1 2010 Justin Ross <jross@redhat.com> - 0.7.3891-1
- Update to revision 3891
- Use a tarball based on svn export rather than make dist
* Tue Feb  4 2010 Justin Ross <jross@redhat.com> - 0.4.3826-2
- Update to revision 3826
* Mon Oct 19 2009 Ted Ross <tross@redhat.com> - 0.4.3153-2
- Update to revision 3153-2 with patch
* Wed Mar 11 2009 Ted Ross <tross@redhat.com> - 0.4.3153-1
- Update to revision 3153
* Wed Mar  4 2009 Ted Ross <tross@redhat.com> - 0.4.3138-1
- Update to revision 3138
* Tue Feb 17 2009 Justin Ross <jross@redhat.com> - 0.4.3120-2
- Update to revision 3120
- Make the qmf dep versioned
* Thu Feb 12 2009 Ted Ross <tross@redhat.com> - 0.4.3108-2
- Update to release 2
* Thu Feb  5 2009 Ted Ross <tross@redhat.com> - 0.4.3108-1
- Update to revision 3108
* Wed Jan 28 2009 Ted Ross <tross@redhat.com> - 0.4.3077-1
- Update to revision 3077
* Thu Jan  8 2009 Ted Ross <tross@redhat.com> - 0.4.3030-2
- Update to release 2
* Fri Dec 19 2008 Ted Ross <tross@redhat.com> - 0.4.3030-1
- Update to revision 3030
* Thu Dec 11 2008 Ted Ross <tross@redhat.com> - 0.1.2968-1
- Update to revision 2968
* Wed Dec 10 2008 Ted Ross <tross@redhat.com> - 0.1.2964-1
- Update to revision 2964
* Fri Dec  5 2008 Ted Ross <tross@redhat.com> - 0.1.2935-1
- Update to revision 2935
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2899-1
- Update to revision 2899
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2897-1
- Initial build
